document.addEventListener("deviceready", onDeviceReady, false);

function onDeviceReady() {
    navigator.splashscreen.hide();
    showLoadWidget("Ophalen wedstrijden..");
    getLivescore();
}

$(document).ready(function() {
    $("#matches").listview({
        autodividers: true,
        autodividersSelector: function (li) {
        var out = li.attr("competition");
            return out;
        }
    }).listview("refresh");
                  
    $("#matches").on("click", "li", matchClicked);
                  
    jQuery.ajaxSetup({
        cache: false
    });
});

function showLoadWidget(text){
    $.mobile.loading("show", {
        text: text,
        textVisible: true,
        textonly: false
    });
}

function getLivescore(){
    $.ajax({
        type: "GET",
        url: "http://www.indewandelgangen.com/webservice/livescore",
        timeout: 20000,
        dataType: "json",
        beforeSend: function (xhr) {
           xhr.setRequestHeader("Authorization", "Basic " + btoa("admin:IDW2014w3bs3rv1c3"));
        },
        success: parseLivescore,
        error: showErrorMessage
    });
}

function refreshLivescore(){
    showLoadWidget("Verversen..");
    getLivescore();
}

function matchClicked(){
    showLoadWidget("Ophalen wedstrijdgegevens..");
    getMatch($(this).attr("id"), $(this).attr("type"), $(this).attr("season"));
}

function getMatch(matchId, typeName, seasonId){
    $.ajax({
        type: "GET",
        url: "http://www.indewandelgangen.com/webservice/match/id/" + matchId + "/type/" + typeName + "/season/" + seasonId,
        timeout: 20000,
        dataType: "json",
        beforeSend: function (xhr) {
           xhr.setRequestHeader("Authorization", "Basic " + btoa("admin:IDW2014w3bs3rv1c3"));
        },
        success: parseMatch,
        error: showErrorMessage
    });
}

function parseLivescore(data){
    $("#matches").empty();
    
    $.each(data.competitions, function(index, element) {
           var unixDate = new Date(element.date * 1000);
           var matchStatus = "score";
        
           if(element.canceled == "1"){
                matchStatus = "score canceled";
                element.home_score = "AFG.";
                element.away_score = "";
           } else if(element.interrupted == "1"){
                matchStatus = "score interrupted";
                element.home_score = "GEST.";
                element.away_score = "";
           } else if(element.live == "1"){
                matchStatus = "score live";
           }
           
           if(element.home_score == null){
                element.home_score = "";
           }
           
           if(element.away_score == null){
                element.away_score = "";
           }
           
           $("#matches").append('<li competition="' + element.competition_name + '" id="' + element.id + '" season="' + element.season_id + '" type="competition">' +
                                '<a href="#">' +
                                    '<div class="dateTime">' +
                                        '<div class="date">' + unixDate.getDate() + '-' + (unixDate.getMonth() + 1) + '-' + unixDate.getFullYear() + '</div>' +
                                        '<div class="time">' + element.time + ' uur</div>' +
                                    '</div>' +
                                    '<div class="teams">' +
                                        '<div class="home">' + element.home_team_name + '</div>' +
                                        '<div class="away">' + element.away_team_name + '</div>' +
                                    '</div>' +
                                    '<div class="' + matchStatus + '">' +
                                        '<div class="home">' + element.home_score + '</div>' +
                                        '<div class="away">' + element.away_score + '</div>' +
                                    '</div>' +
                                '</a>' +
                             '</li>');
    });
    
    $.each(data.cup, function(index, element) {
           var unixDate = new Date(element.date * 1000);
           var matchStatus = "score";
           
           if(element.canceled == "1"){
                matchStatus = "score canceled";
                element.home_score = "AFG.";
                element.away_score = "";
           } else if(element.interrupted == "1"){
                matchStatus = "score interrupted";
                element.home_score = "GEST.";
                element.away_score = "";
           } else if(element.live == "1"){
                matchStatus = "score live";
           }
           
           if(element.home_score == null){
                element.home_score = "";
           }
           
           if(element.away_score == null){
                element.away_score = "";
           }
           
           $("#matches").append('<li competition="Beker - ' + element.round + '" id="' + element.id + '" season="' + element.season_id + '" type="cup">' +
                                '<a href="#">' +
                                    '<div class="dateTime">' +
                                        '<div class="date">' + unixDate.getDate() + '-' + (unixDate.getMonth() + 1) + '-' + unixDate.getFullYear() + '</div>' +
                                        '<div class="time">' + element.time + ' uur</div>' +
                                    '</div>' +
                                    '<div class="teams">' +
                                        '<div class="home">' + element.home_team_name + '</div>' +
                                        '<div class="away">' + element.away_team_name + '</div>' +
                                    '</div>' +
                                    '<div class="' + matchStatus + '">' +
                                        '<div class="home">' + element.home_score + '</div>' +
                                        '<div class="away">' + element.away_score + '</div>' +
                                    '</div>' +
                                '</a>' +
                                '</li>');
    });
    
    $.each(data.playoffs, function(index, element) {
           var unixDate = new Date(element.date * 1000);
           var matchStatus = "score";
           
           if(element.canceled == "1"){
                matchStatus = "score canceled";
                element.home_score = "AFG.";
                element.away_score = "";
           } else if(element.interrupted == "1"){
                matchStatus = "score interrupted";
                element.home_score = "GEST.";
                element.away_score = "";
           } else if(element.live == "1"){
                matchStatus = "score live";
           }
           
           if(element.home_score == null){
                element.home_score = "";
           }
           
           if(element.away_score == null){
                element.away_score = "";
           }
           
           $("#matches").append('<li competition="Nacompetitie - ' + element.round + '" id="' + element.id + '" season="' + element.season_id + '" type="playoff">' +
                                '<a href="#">' +
                                    '<div class="dateTime">' +
                                        '<div class="date">' + unixDate.getDate() + '-' + (unixDate.getMonth() + 1) + '-' + unixDate.getFullYear() + '</div>' +
                                        '<div class="time">' + element.time + ' uur</div>' +
                                    '</div>' +
                                    '<div class="teams">' +
                                        '<div class="home">' + element.home_team_name + '</div>' +
                                        '<div class="away">' + element.away_team_name + '</div>' +
                                    '</div>' +
                                    '<div class="' + matchStatus + '">' +
                                        '<div class="home">' + element.home_score + '</div>' +
                                        '<div class="away">' + element.away_score + '</div>' +
                                    '</div>' +
                                '</a>' +
                                '</li>');
    });
    
    $("#matches").listview("refresh");
    
    $.mobile.loading("hide");
}

function parseMatch(data){
    $("#matchScores").empty();
    
    if(data.match[0].home_score == null){
        data.match[0].home_score = "";
    }
    
    if(data.match[0].away_score == null){
        data.match[0].away_score = "";
    }
    
    var score = data.match[0].home_score + '-' + data.match[0].away_score;
    matchStatus = "result";
    
    if(data.match[0].canceled == "1"){
        score = "AFG.";
    } else if(data.match[0].interrupted == "1"){
        score = "GEST.";
    } else if(data.match[0].live == "1"){
        matchStatus = "result live";
    }
    
    $("#matchScores").append('<li data-role="list-divider">' +
                                '<div class="hometeam">' + data.match[0].home_name + '</div>' +
                                '<div class="' + matchStatus + '">' + score + '</div>' +
                                '<div class="awayteam">' + data.match[0].away_name + '</div>' +
                             '</li>');
    
    $.each(data.scores, function(index, element) {
           $("#matchScores").append('<li class="' + element.team + '">' + element.minute + ' - ' + element.player + ' (' + element.score + ')</li>');
    });
    
    $.mobile.loading("hide");
    $.mobile.pageContainer.pagecontainer("change", "#match", {});
    
    $("#matchScores").listview("refresh");
}

function showErrorMessage(error){
    $.mobile.loading("hide");
    navigator.notification.alert("Kan de wedstrijd(en) niet ophalen.", function(){}, "Geen internetverbinding", "");
}